#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kpmcore
Version		:	23.04.2
Release		:	17.2.0.rel%{?dist}
Summary		:	Library for managing partitions by KDE programs
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPLv3+
URL		:	https://github.com/KDE/kpmcore/tags
			#https://github.com/calamares/calamares/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	util-linux
BuildRequires	:	parted
BuildRequires	:	cmake
BuildRequires	:	extra-cmake-modules
BuildRequires	:	libatasmart
BuildRequires	:	kf5-kcoreaddons-devel
BuildRequires	:	kf5-ki18n-devel
BuildRequires	:	kf5-kwidgetsaddons-devel
BuildRequires	:	polkit-qt5-devel
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-rpm-macros
BuildRequires	:	glu-devel
#-----------------------------------------------------------------------------
%description
KPMcore contains common code for managing partitions by
KDE Partition Manager and other KDE projects
 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang -f %{name}._policy_.lang
%defattr(-,root,root,-)
%doc README.md
%{_includedir}/%{name}/*/*.h
%{_libdir}/cmake/KPMcore/*.cmake
%{_libdir}/lib%{name}*.so*
%{_libexecdir}/%{name}_externalcommand
%{_datadir}/dbus-1/system-services/org.kde.kpmcore.helperinterface.service
%{_datadir}/dbus-1/system.d/org.kde.kpmcore.helperinterface.conf
%{_datadir}/polkit-1/actions/org.kde.kpmcore.externalcommand.policy
%{_qt5_archdatadir}/plugins/%{name}/*plugin.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld


%find_lang %{name}
%find_lang %{name}._policy_
#-----------------------------------------------------------------------------
%changelog
